package com.narvii.amino

import android.content.Context
import android.content.SharedPreferences

/**
 * Created by Timeszoro on 07/11/2017.
 */
class CommunityPreferenceHelper(context: Context) {

    //for kotlin it's better to use Preference class
    val PREFS_JOIN_AMINO_SHOWED = "prefs_join_amino_show_before"
    val prefs: SharedPreferences = context.getSharedPreferences("amino", Context.MODE_PRIVATE)

    var joinAminoShowBefore: Boolean
        get() = prefs.getBoolean(PREFS_JOIN_AMINO_SHOWED, false)
        set(value) = prefs.edit().putBoolean(PREFS_JOIN_AMINO_SHOWED, value).apply()

}