package com.narvii.wallet

import com.fasterxml.jackson.annotation.JsonProperty
import com.fasterxml.jackson.databind.annotation.JsonDeserialize
import com.narvii.model.api.ListResponse
import java.util.ArrayList

/**
 * Created by troy on 2018/7/24.
 */
class CouponListResponse: ListResponse<Coupon>() {

    @JsonDeserialize(contentAs = Coupon::class)
    @JsonProperty("couponMappingList")
    var couponList: ArrayList<Coupon>? = null

    override fun list(): List<Coupon>? {
        return couponList
    }
}